LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XPasteListener Interface Reference

used to notify listeners about paste events. More...

`import"XPasteListener.idl";`

Inheritance diagram for XPasteListener:

## Public Member Functions
void | notifyPasteEvent ([in] sequence< ::com::sun::star::beans::PropertyValue > aEvent)
| Notifies the listener about paste events. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

used to notify listeners about paste events.

Since
  LibreOffice 6.3

## Member Function Documentation

## ◆ notifyPasteEvent()

void notifyPasteEvent | ( | [in] sequence< ::com::sun::star::beans::PropertyValue > | aEvent | ) |

Notifies the listener about paste events.

Parameters

  aEvent | The event containing details about the paste.

The following keys may be used:

- TextRange
- TextGraphicObject

The documentation for this interface was generated from the following file:

- com/sun/star/text/XPasteListener.idl